SciQLOP - Task #2263

User story # 2261 (Closed): Lien Event, Catalogue, Tag
Mise a jour Event pour Tag
09/11/2017 09:47 AM - Anonymous

Status: Closed Start date: 06/11/2017
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0 blocked: No
Description

History

#2 - 10/11/2017 05:37 PM - Anonymous

10/11/2017

Actuellement ajouter un tag par un event est possible mais la persistance de cette donné n'est pas faite.
Il faut bien définir la forme que doit prendre cette persistance.

Ce qui est proposé par défaut par QxOrm se base sur les id et non sur les ids_unig ou les noms des tags.
La suppression d'un tag n'entraine pas la suppression des relations EventToTag .
La mise a jour d'un event ne vérifie pas si le tag a été modifié pour ensuitre mettre la liste des tags a jour.

#3 - 15/11/2017 02:18 PM - Anonymous

- Status changed from In Progress to Closed

#4 - 15/11/2017 02:21 PM - Anonymous

A présent la persistance du tag est faite au travail de I'event.

Donc les méthodes d'accés au tag par I'event mettent a jour les relations entre eux.
La suppression d'un tag n'entraine pas la suppression des relations EventTotag. Est ce qu'il est d'ailleurs souhaitable de supprimer un tag

directement ?
La suppression d'un event ne suprprime pas les tags.
